Resolido Docs
Knowledge

Refresh knowledge

POST
/knowledge-sources/{sourceId}/refresh

Re-read a website source (only changed pages are re-indexed) or re-process a failed text/file source. Owner/admin.

Authorization

bearer knowledge:write
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: knowledge:write

Path Parameters

sourceId*string

Knowledge source id. Never invent ids – list resources first.

Length1 <= length <= 64

Response Body

Success

application/json
  1. response
id*string
status*string
agentIds*array<string>
selectedPages?array<string>
next*string
curl -X POST "https://example.com/knowledge-sources/string/refresh"
{  "id": "string",  "status": "string",  "agentIds": [    "string"  ],  "selectedPages": [    "string"  ],  "next": "string"}